MiniMyth 0.18.0.0beta2

Announce/Discuss projects you are working on for MiniMyth

Moderator: Pablo

Pablo
Site Admin
Posts: 4182
Joined: Tue Dec 14, 2004 2:13 am
Location: La Jolla
Contact:

MiniMyth 0.18.0.0beta2

Post by Pablo »

MiniMyth 0.18.0.0beta2 is available here: http://linpvr.org/dnload/releases/0.18.0.0beta2/.

Changes since 0.18.0.0beta1 include: support for boards with the VIA CN400 Northbridge (I have tested it on the Commell LV-667 and the VIA EPIA SP8000E - both using the VGA output), support for XvMC (for those who want to add the NVidia drivers), updates of some packages, and some bug fixes.

The CN400 support is experimental. It uses bleeding edge drivers that appear to have a problem with bob deinterlacing. In addition, boards with the CN400 tend to use newer TV encoder chips which are not currently supported. Therefore, you will need to use VGA. Having said that, my main frontend is now a VIA EPIA SP8000E and it is has been working well.

The XvMC support for NVidia has not been tested. However, it has been compiled into into MPlayer, MythTV and Xine. In order to make it work, you will need to configure /etc/X11/XvMCConfig to point to the correct library after you add the NVidia drivers.
bigA
Member
Posts: 46
Joined: Sat Aug 23, 2003 5:16 pm
Location: Canada
Contact:

Post by bigA »

Works great so far, just did the upgrade of the backend and frontend to .18.
I notice the picture is brighter and sharper.

Great work!!
------------------------------------------
We Live to Survive our Paradoxes!
gugux
Contributor
Posts: 86
Joined: Sun Apr 24, 2005 8:00 am

Post by gugux »

Installed it for my epia frontend, works great too. Will try to update my pentium frontend with it.
cseg
Member
Posts: 46
Joined: Tue Jan 27, 2004 5:36 am

Post by cseg »

Some people are complaining that 0.18 "is using a lot more system resources than 0.17." Anyone here notice that?

http://www.mythtvtalk.com/forum/viewtop ... fb52b66615
gugux
Contributor
Posts: 86
Joined: Sun Apr 24, 2005 8:00 am

Post by gugux »

cseg wrote:Some people are complaining that 0.18 "is using a lot more system resources than 0.17." Anyone here notice that?

http://www.mythtvtalk.com/forum/viewtop ... fb52b66615
I have no exp of .17 so I can not compare, but I've found that minimyth seems to need much memory. My epia is 256 Mb, everything seems to be ok (if I forget the CD reading thing, but I don't know if it comes from a lack of memory), my pentium frontend is only 128 Mb and I can't go to music playing, can't launch divx playing, ... Is 256 Mb a minimum ?

BTW, I've read your link, the guy seems to think it comes from FC3 ...
sluxford
New Member
Posts: 3
Joined: Sat May 07, 2005 12:22 pm

Imon USB IR support?

Post by sluxford »

Hi All,

Well I was struggling to get my epia_M board playing nicely as a front end until I came accross minimyth - thanks guys it works a treat.

One problem tho - there does not seem to be any support for the IMON USB IR receiver/remote. Support is in the latest LIRC package tho. Can anyone tell me how I could compile the necessary modules for my minimyth? Or even better - can you compile them in the next release?

Thanks,

Sam

P.S. Just one note to anyone else that is struggling with monitor that just doesnt seem to sync properly as I had... make sure that your bios is set to the same output devices as your xorg.conf (ie both read CRT,TV). Obvious when you know!
Pablo
Site Admin
Posts: 4182
Joined: Tue Dec 14, 2004 2:13 am
Location: La Jolla
Contact:

Re: Imon USB IR support?

Post by Pablo »

sluxford wrote:One problem tho - there does not seem to be any support for the IMON USB IR receiver/remote. Support is in the latest LIRC package tho. Can anyone tell me how I could compile the necessary modules for my minimyth? Or even better - can you compile them in the next release?
I have added LIRC support for the SoundGraph iMON.
sluxford
New Member
Posts: 3
Joined: Sat May 07, 2005 12:22 pm

Post by sluxford »

Cool! is it somewhere I can download and try out?

Thanks again,

Sam
Pablo
Site Admin
Posts: 4182
Joined: Tue Dec 14, 2004 2:13 am
Location: La Jolla
Contact:

Post by Pablo »

sluxford wrote:Cool! is it somewhere I can download and try out?

Thanks again,

Sam
http://linpvr.org/dnload/releases/0.18.0.0rc1/
tex
Member
Posts: 10
Joined: Wed May 11, 2005 5:15 am
Location: san francisco

Issues I've run into compiling latest version out of perforc

Post by tex »

I'm compiling on my server using the latest version out of the perforce repository and have found some issues:

e2fsprogs - wants a 1.37 patch but it only has a 1.36 patch in
the files directory. I just renamed 1.36 patch to 1.37 in Makefile and adjusted checksum in checksum file.

xine-ui compilation wants a rootwindow patch but cannot find
it anywhere. I could not find it either, so I took it out of the makefile.

xine-toolkit compilation had problems, it turns out that gar-minimyth/script/myth/xine-ui/work/main.d/xine-ui-0.99.3/src/xitk/xine-toolkit
is using system's Xft.h instead of the one with minimyth because the
Makefile has -I$(prefix)/include as the last include in the
INCLUDES line and the compile line has INCLUDES before the XFT_CFLAGS. I took the this -I out of the Makefile, though I supposed I could have changed it to use the /usr/include in the gar-minimyth images directory. No failures so I guess not needed.

mythtv - wants to use lirc client library but cannot find it. Looks like the mythtv stuff isn't being patched to use the gar-minimyth images directory for things like libraries and header files for both lirc and
X11 at least. Found this true in at least: libmyth and libavcodec and
libmythtv.

libmythtv,mythepg compilations needs a -L to the gar-minimyth/images/main/usr/lib directory to find libmp3lame.

mythepg also needs a -L to the gar-minimyth/images/main/usr/X11R6/lib directory for the XvMC library and I added an rpath to the gar-minimyth/images/main/usr/lib directory as well for the LFLAGS line.

These mythtv programs need the same changes as mythepg
programs/mythprogfind
programs/mythtv
programs/mythfrontend
programs/mythlcd
programs/mythtvosd(does not need the -rpath though)
programs/mythjobqueue
programs/mythbackend
programs/mythfilldatabase
programs/mythtranscode
setup

These are the only issues I have found so far while compiling tonite.

I'm wanting to use the latest mythtv out of CVS with my minimyth,
anyone have any shortcuts to implementing that? Otherwise I'll
just manually get it into my installation..... The latest CVS as of
a few days ago changed the myth protocol version number!


hope this info was helpful,
TeX
tex
Member
Posts: 10
Joined: Wed May 11, 2005 5:15 am
Location: san francisco

Re: Issues I've run into compiling latest version out of per

Post by tex »

I found one more needing changes like mythepg:

mythplugins-0.18/mythdvd/mtd


This makes me think that all of the myth Makefiles need to
be checked for using -L/usr/X11R6/lib as I was only catching
the ones that were for apps that need the libXvMCW library which
is not on my system that I compile on.

TeX
gugux
Contributor
Posts: 86
Joined: Sun Apr 24, 2005 8:00 am

Re: Issues I've run into compiling latest version out of per

Post by gugux »

tex wrote:I'm compiling on my server using the latest version out of the perforce repository and have found some issues:

e2fsprogs - wants a 1.37 patch but it only has a 1.36 patch in
the files directory. I just renamed 1.36 patch to 1.37 in Makefile and adjusted checksum in checksum file.

xine-ui compilation wants a rootwindow patch but cannot find
it anywhere. I could not find it either, so I took it out of the makefile.

xine-toolkit compilation had problems, it turns out that gar-minimyth/script/myth/xine-ui/work/main.d/xine-ui-0.99.3/src/xitk/xine-toolkit
is using system's Xft.h instead of the one with minimyth because the
Makefile has -I$(prefix)/include as the last include in the
INCLUDES line and the compile line has INCLUDES before the XFT_CFLAGS. I took the this -I out of the Makefile, though I supposed I could have changed it to use the /usr/include in the gar-minimyth images directory. No failures so I guess not needed.

mythtv - wants to use lirc client library but cannot find it. Looks like the mythtv stuff isn't being patched to use the gar-minimyth images directory for things like libraries and header files for both lirc and
X11 at least. Found this true in at least: libmyth and libavcodec and
libmythtv.

libmythtv,mythepg compilations needs a -L to the gar-minimyth/images/main/usr/lib directory to find libmp3lame.

mythepg also needs a -L to the gar-minimyth/images/main/usr/X11R6/lib directory for the XvMC library and I added an rpath to the gar-minimyth/images/main/usr/lib directory as well for the LFLAGS line.

These mythtv programs need the same changes as mythepg
programs/mythprogfind
programs/mythtv
programs/mythfrontend
programs/mythlcd
programs/mythtvosd(does not need the -rpath though)
programs/mythjobqueue
programs/mythbackend
programs/mythfilldatabase
programs/mythtranscode
setup

These are the only issues I have found so far while compiling tonite.

I'm wanting to use the latest mythtv out of CVS with my minimyth,
anyone have any shortcuts to implementing that? Otherwise I'll
just manually get it into my installation..... The latest CVS as of
a few days ago changed the myth protocol version number!


hope this info was helpful,
TeX
I had the same problem for e2fsprogs, but not the other ones you had. Strange ...

I've had also a couple of other issues, I'll give them here when I'm at home.
Pablo
Site Admin
Posts: 4182
Joined: Tue Dec 14, 2004 2:13 am
Location: La Jolla
Contact:

Re: Issues I've run into compiling latest version out of per

Post by Pablo »

tex wrote:I'm compiling on my server using the latest version out of the perforce repository and have found some issues:

e2fsprogs - wants a 1.37 patch but it only has a 1.36 patch in
the files directory. I just renamed 1.36 patch to 1.37 in Makefile and adjusted checksum in checksum file.
Fixed in change#298. I had forgotten to check in the new patch.
xine-ui compilation wants a rootwindow patch but cannot find
it anywhere. I could not find it either, so I took it out of the makefile.
Fixed in change#299. I had forgotten to check in the patch.
xine-toolkit compilation had problems, it turns out that gar-minimyth/script/myth/xine-ui/work/main.d/xine-ui-0.99.3/src/xitk/xine-toolkit
is using system's Xft.h instead of the one with minimyth because the
Makefile has -I$(prefix)/include as the last include in the
INCLUDES line and the compile line has INCLUDES before the XFT_CFLAGS. I took the this -I out of the Makefile, though I supposed I could have changed it to use the /usr/include in the gar-minimyth images directory. No failures so I guess not needed.
Fixed in change#300. I patched the configure script to include $(DESTDIR)$(includedir) rather than $(prefix)/include.
mythtv - wants to use lirc client library but cannot find it. Looks like the mythtv stuff isn't being patched to use the gar-minimyth images directory for things like libraries and header files for both lirc and
X11 at least. Found this true in at least: libmyth and libavcodec and
libmythtv.

libmythtv,mythepg compilations needs a -L to the gar-minimyth/images/main/usr/lib directory to find libmp3lame.

mythepg also needs a -L to the gar-minimyth/images/main/usr/X11R6/lib directory for the XvMC library and I added an rpath to the gar-minimyth/images/main/usr/lib directory as well for the LFLAGS line.

These mythtv programs need the same changes as mythepg
programs/mythprogfind
programs/mythtv
programs/mythfrontend
programs/mythlcd
programs/mythtvosd(does not need the -rpath though)
programs/mythjobqueue
programs/mythbackend
programs/mythfilldatabase
programs/mythtranscode
setup
gar-minimyth sets --with-sysroot to $(DESTDIR) when it builds gcc, so the compiler should look in $(DESTDIR)/usr/lib for libraries. In addidition, gar-minimyth sets --with-lib-path to include all the library paths when it builds binutils. Therefore, there should not be any need for a -L$(DESTDIR)$(libdir) or -rpath $(DESTDIR)$(libdir) option.
hope this info was helpful,
TeX
Yes, it is. Thank you.
Pablo
Site Admin
Posts: 4182
Joined: Tue Dec 14, 2004 2:13 am
Location: La Jolla
Contact:

Re: Issues I've run into compiling latest version out of per

Post by Pablo »

tex wrote:I found one more needing changes like mythepg:

mythplugins-0.18/mythdvd/mtd


This makes me think that all of the myth Makefiles need to
be checked for using -L/usr/X11R6/lib as I was only catching
the ones that were for apps that need the libXvMCW library which
is not on my system that I compile on.

TeX
I am not having any problem with extraneous -L/usr/X11R6/lib arguments.

What system (hardware and software) are you using as your build system?
Did the mythtv-0.18.patch.gar patch apply successfully to mythtv?
Did the mythplugins-0.18.patch.gar patch apply successfully to mythplugins?
What compiler is being used to compile mythtv and mythplugins?
tex
Member
Posts: 10
Joined: Wed May 11, 2005 5:15 am
Location: san francisco

Re: Issues I've run into compiling latest version out of per

Post by tex »

I'm compiling on a gentoo 2005.0 system. I'm wiping my installation
and resync'ing from perforce and will see how it goes.

I do see that I need cvs installed for part of the 'make garchive' for libxvmc, so I need to install that.

I'll update as that goes along.

TeX
Post Reply